Subject: Re: Missing signoff in the hid tree

From: Mark Brown <[email-masked]>
Date: Mon, 6 Apr 2026 17:43:40 +0100

On Mon, Apr 06, 2026 at 06:38:14PM +0200, Jiri Kosina wrote:
> On Mon, 6 Apr 2026, Mark Brown wrote:

> > > >   142068281f513 ("HID: input: use __free(kfree) to clean up temporary buffers")

> > > > is missing a Signed-off-by from its committer

> > > This issue is still present today.

> > And today.

> Yeah, this happened because Benjamin rebased a tree with commit a that I 
> originally comitted and SOBed (the tree has a shared maintainership).

This is a common way people mess up signoffs.

> If you strongly believe that this is worth another rebase, I can happily 
> do that, but given the fact that it contains signoff of one of the 
> co-maintainers, I wouldn't lose sleep over it (but I can be probably 
> easily convinced otherwise).

That's more a question for Linus than for me.